declare module "@implab/djx/css!*" {
    const result: { url: string };
    export = result;
}

declare namespace JSX {
    interface DjxIntrinsicAttributes {
        class: string;
        "data-dojo-attach-point": string;
        "data-dojo-attach-event": string;
    }
    type IntrinsicElements = {
        [name in keyof HTMLElementTagNameMap]: Partial<Omit<HTMLElementTagNameMap[name], "children"> & DjxIntrinsicAttributes>;
    }
}

declare namespace dijit {
    interface _WidgetBase {

        _started?: boolean;

        _set<K extends keyof this>(key: K, value: this[K]): void;
    }

    interface TooltipDialog {

        content: any;

    }
}